Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_LibraryObjectDefinition

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObjectDefinition

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public final class S_LibraryObjectDefinition
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

The `S_LibraryObjectDefinition` class is used by the server to create new objects. It is generally constructed from a bean-side LibraryObjectDefinition class (or one of its subclasses), but can also be constructed server-side when the server wants to create an object.

See Also:
  Serialized Form

Constructor Summary
`protected` | `S_LibraryObjectDefinition()` default constructor.
`` | `S_LibraryObjectDefinition(java.lang.Long classid)` construct a S_LibraryObjectDefinition, initializing with a classId.

Method Summary
`AttributeValue` | `getAttribute(java.lang.String name)` return an AttributeValue object that holds the value of the requested attribute.
`AttributeValue[]` | `getAttributes()` return array of Attribute values that were set for this new instance.
`java.lang.Long` | `getClassId()` return the Class Id, null if not specified
`java.lang.Long` | `getId()` return the Id, null if not yet specified
`java.lang.Object` | `getOption(java.lang.String name)` return an option value
`AttributeValue` | `getSystemSetAttribute(java.lang.String name)` return a System set AttributeValue object that holds the value of the requested attribute.
`AttributeValue[]` | `getSystemSetAttributes()` Gets the system-set attributes.
`AttributeValue` | `getUserSetAttribute(java.lang.String name)` return a User-set AttributeValue object that holds the value of the requested attribute.
`AttributeValue[]` | `getUserSetAttributes()` return array of Attribute values that were set by the user for this new instance.
`void` | `mergeDefinition(S_LibraryObjectDefinition def)` combines values from def into this definition.
`void` | `removeAttribute(java.lang.String name)` removes an attribute setting for the new instance.
`void` | `removeOption(java.lang.String name)` removes an option setting for the new instance.
`void` | `removeSystemSetAttribute(java.lang.String name)` removes a SystemSet attribute setting for the new instance.
`void` | `removeUserSetAttribute(java.lang.String name)` removes a user-set attribute setting for the new instance.
`void` | `setClassId(java.lang.Long classid)` set the Class Id
`void` | `setId(java.lang.Long id)` set the object Id
`void` | `setOption(java.lang.String name, java.lang.Object value)` set an option for the new instance.
`void` | `setSystemSetAttribute(AttributeValue value)` set a SystemSet attribute for the new instance.
`void` | `setSystemSetAttribute(java.lang.String name, AttributeValue value)` set a system-set attribute for the new instance (or for update).
`void` | `setUserSetAttribute(AttributeValue value)` set an attribute for the new instance.
`void` | `setUserSetAttribute(java.lang.String name, AttributeValue value)` set an attribute for the new instance.

Constructor Detail

### S_LibraryObjectDefinition

    protected S_LibraryObjectDefinition()
                                 throws IfsException

  default constructor. Just initialize the hashtables.
  Throws:
    `IfsException` - if operation fails.

### S_LibraryObjectDefinition

    public S_LibraryObjectDefinition(java.lang.Long classid)
                              throws IfsException

  construct a S_LibraryObjectDefinition, initializing with a classId. Empty hashtables are created for the attributes, options, and systemOptions. This variant is called in S_LO.getDefinition().
  Parameters:
    `classid` - The class ID
  Throws:
    `IfsException` - if operation fails.

Method Detail

### getClassId

    public java.lang.Long getClassId()
                              throws IfsException

  return the Class Id, null if not specified
  Returns:
    the Class Id, null if not persistent
  Throws:
    `IfsException` - if the operation fails

### getId

    public java.lang.Long getId()
                         throws IfsException

  return the Id, null if not yet specified
  Returns:
    the Id, null if not yet specified
  Throws:
    `IfsException` - if the operation fails

### setClassId

    public void setClassId(java.lang.Long classid)
                    throws IfsException

  set the Class Id
  Parameters:
    `the` - Class Id
  Throws:
    `IfsException` - if the operation fails

### setId

    public void setId(java.lang.Long id)
               throws IfsException

  set the object Id
  Parameters:
    `the` - Id
  Throws:
    `IfsException` - if the operation fails

### setUserSetAttribute

    public void setUserSetAttribute(java.lang.String name,
                                    AttributeValue value)
                             throws IfsException

  set an attribute for the new instance.
  Parameters:
    `name` - The attribute name
    `value` - The attribute value.
  Throws:
    `IfsException` - if operation fails.

### setUserSetAttribute

    public void setUserSetAttribute(AttributeValue value)
                             throws IfsException

  set an attribute for the new instance.
  Parameters:
    `value` - The attribute value.
  Throws:
    `IfsException` - if operation fails.

### setSystemSetAttribute

    public void setSystemSetAttribute(java.lang.String name,
                                      AttributeValue value)
                               throws IfsException

  set a system-set attribute for the new instance (or for update). Use this method to set attributes that are not settable/updateable via a bean side setAttribute call.
  Parameters:
    `name` - The attribute name
    `value` - The attribute value.
  Throws:
    `IfsException` - if operation fails.

### setSystemSetAttribute

    public void setSystemSetAttribute(AttributeValue value)
                               throws IfsException

  set a SystemSet attribute for the new instance. Use this method to set attributes that are not settable/updateable via a bean side setAttribute call.
  Parameters:
    `value` - The attribute value with the name already set.
  Throws:
    `IfsException` - if operation fails.

### getAttribute

    public AttributeValue getAttribute(java.lang.String name)
                                throws IfsException

  return an AttributeValue object that holds the value of the requested attribute. Checks for both SystemSet and UserSet attributes.
  Parameters:
    `name` - the name of the Attribute
  Returns:
    the corresponding AttributeValue
  Throws:
    `IfsException` - if the operation fails

### getUserSetAttribute

    public AttributeValue getUserSetAttribute(java.lang.String name)
                                       throws IfsException

  return a User-set AttributeValue object that holds the value of the requested attribute.
  Parameters:
    `name` - the name of the user-set Attribute
  Returns:
    the corresponding AttributeValue
  Throws:
    `IfsException` - if the operation fails

### getSystemSetAttribute

    public AttributeValue getSystemSetAttribute(java.lang.String name)
                                         throws IfsException

  return a System set AttributeValue object that holds the value of the requested attribute.
  Parameters:
    `name` - the name of the System set Attribute
  Returns:
    the corresponding AttributeValue
  Throws:
    `IfsException` - if the operation fails

### setOption

    public void setOption(java.lang.String name,
                          java.lang.Object value)
                   throws IfsException

  set an option for the new instance.
  Parameters:
    `name` - The option name
    `value` - The option value. The value must be serializable.
  Throws:
    `IfsException` - if operation fails.

### getOption

    public java.lang.Object getOption(java.lang.String name)
                               throws IfsException

  return an option value
  Parameters:
    `name` - the name of the option
  Returns:
    the corresponding Value for the option
  Throws:
    `IfsException` - if the operation fails

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws IfsException

  removes an attribute setting for the new instance. Removes it from both the SystemSet and UserSet attribute lists.
  Parameters:
    `name` - The name of the Attribute to be removed.

### removeUserSetAttribute

    public void removeUserSetAttribute(java.lang.String name)
                                throws IfsException

  removes a user-set attribute setting for the new instance.
  Parameters:
    `name` - The name of the user-set Attribute to be removed.

### removeSystemSetAttribute

    public void removeSystemSetAttribute(java.lang.String name)
                                  throws IfsException

  removes a SystemSet attribute setting for the new instance.
  Parameters:
    `name` - The name of the SystemSetAttribute to be removed.

### getUserSetAttributes

    public AttributeValue[] getUserSetAttributes()
                                          throws IfsException

  return array of Attribute values that were set by the user for this new instance. System set attributes are not returned. The returned AVs names are locked.

### getSystemSetAttributes

    public AttributeValue[] getSystemSetAttributes()
                                            throws IfsException

  Gets the system-set attributes.
  Returns:
    the system-set attributes
  Throws:
    `IfsException` - if the operation fails

### getAttributes

    public AttributeValue[] getAttributes()
                                   throws IfsException

  return array of Attribute values that were set for this new instance. The returned AVs names are locked.

### removeOption

    public void removeOption(java.lang.String name)
                      throws IfsException

  removes an option setting for the new instance.
  Parameters:
    `name` - The name of the option to be removed.

### mergeDefinition

    public void mergeDefinition(S_LibraryObjectDefinition def)
                         throws IfsException

  combines values from def into this definition. Values in def take precedence over existing values.
  Parameters:
    `def` - The definition to be merged in.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD